QGIS Application - Feature request #11696
Red blinking line for empty label
Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 19940
Description

When I'm assigning a label a red blinking line appears in the "Label this layer with"

I know that red here is used if something is incorrect in the field.

This is probably a small thing, and usually only hangs around until | pick something to label the layer with, but | feel its cueing me
incorrectly as | associate red as wrong.

Could it be black, at least until I've put something in it?

History

#1 - 2014-11-20 03:00 AM - Giovanni Manghi

- Operating System deleted (win7-64bit, mac)

- Tracker changed from Bug report to Feature request

- Target version changed from Version 2.8 to Future Release - Lower Priority

#2 - 2014-11-23 03:26 PM - Larry Shaffer

Shouldn't it be red until you have put something in it? The field is required, so an empty field is 'wrong'. Maybe it should have a "Required" placeholder text,
something that used to be avoided until Qt 4.7 became the minimum requirement for QGIS. At least that would be clear in meaning.

Before, users would check the checkbox and not enter a field or expression, thereby resulting in no labeling and much worse confusion. So, indicating that

the field is required (somehow) is important.

#3 - 2014-11-24 12:24 AM - Giovanni Manghi
- Status changed from Open to Feedback
#4 - 2016-06-09 01:20 PM - Nyall Dawson

- Status changed from Feedback to Closed
- Resolution set to wontfix

Closing due to lack of feedback

#5 - 2016-06-10 12:32 AM - Paolo Cavallini

It seems a good idea to me. Why not leaving it open, not to forget about it?
http://qt-project.org/doc/qt-4.8/qlineedit.html#placeholderText-prop
